<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="templateService" class="gov.va.med.cds.template.TemplateServiceSimulator">
		<!-- If this property is missing, test templates won't be loaded -->
		<property name="testTemplates">
			<props>
				<!--
					If this prop is missing, then it will default to the local directory ("./")
					This can be either a path to a single file or a directory containing files
					with the suffix .meta.  Each file contains information about where the
					template jar file is located and metadata about the template as NVP.
				-->
				<prop key="path">templatecache</prop>
				<!-- If not included, the default for this property is "false" -->
				<prop key="loadTestTemplates">true</prop>
			</props>
		</property>
	</bean>

</beans>
